MessageInfoImpl (Apache Tomcat 8.5.87 API Documentation)

Package org.apache.catalina.authenticator.jaspic

## Class MessageInfoImpl

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.MessageInfoImpl

- All Implemented Interfaces:
    `MessageInfo`

      public class MessageInfoImpl
      extends java.lang.Object
      implements MessageInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `IS_MANDATORY` |
    `protected static StringManager` | `sm` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageInfoImpl()` |
    `MessageInfoImpl​(HttpServletRequest request, HttpServletResponse response, boolean authMandatory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map` | `getMap()` |
    `java.lang.Object` | `getRequestMessage()` |
    `java.lang.Object` | `getResponseMessage()` |
    `void` | `setRequestMessage​(java.lang.Object request)` |
    `void` | `setResponseMessage​(java.lang.Object response)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

    - #### IS_MANDATORY

          public static final java.lang.String IS_MANDATORY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageInfoImpl

          public MessageInfoImpl()

    - #### MessageInfoImpl

          public MessageInfoImpl​(HttpServletRequest request,
                                 HttpServletResponse response,
                                 boolean authMandatory)

  - ### Method Detail

    - #### getMap

          public java.util.Map getMap()

      Specified by:
        `getMap` in interface `MessageInfo`

    - #### getRequestMessage

          public java.lang.Object getRequestMessage()

      Specified by:
        `getRequestMessage` in interface `MessageInfo`

    - #### getResponseMessage

          public java.lang.Object getResponseMessage()

      Specified by:
        `getResponseMessage` in interface `MessageInfo`

    - #### setRequestMessage

          public void setRequestMessage​(java.lang.Object request)

      Specified by:
        `setRequestMessage` in interface `MessageInfo`

    - #### setResponseMessage

          public void setResponseMessage​(java.lang.Object response)

      Specified by:
        `setResponseMessage` in interface `MessageInfo`